## PkMediaChangeRequired PkMediaChangeRequired — MediaChangeRequired object |

## Functions

PkMediaChangeRequired * | pk_media_change_required_new ()

## Properties

gchar * | media-id | Read / Write
gchar * | media-text | Read / Write
PkMediaTypeEnum | media-type | Read / Write

## Object Hierarchy

        GObject
        ╰── PkSource
            ╰── PkMediaChangeRequired

## Description

This GObject represents a media_change_required from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Functions

### pk_media_change_required_new ()

    PkMediaChangeRequired *
    pk_media_change_required_new (void);

#### Returns

a new PkMediaChangeRequired object.

Since: 0.5.4

## Types and Values

## Property Details

### The `“media-id”` property

      “media-id”                 gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“media-text”` property

      “media-text”               gchar *

Flags: Read / Write

Default value: NULL

Since: 0.5.4

### The `“media-type”` property

      “media-type”               PkMediaTypeEnum

Flags: Read / Write

Default value: PK_MEDIA_TYPE_ENUM_UNKNOWN

Since: 0.5.4